<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: LLWU: Low-Leakage Wakeup Unit Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__llwu.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">LLWU: Low-Leakage Wakeup Unit Driver</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a peripheral driver for the Low-Leakage Wakeup Unit (LLWU) module of MCUXpresso SDK devices. The LLWU module allows the user to select external pin sources and internal modules as a wake-up source from low-leakage power modes.</p>
<h1><a class="anchor" id="LLWUExWkPin"></a>
External wakeup pins configurations</h1>
<p>Configures the external wakeup pins' working modes, gets, and clears the wake pin flags. External wakeup pins are accessed by the <code>pinIndex</code>, which is started from 1. Numbers of the external pins depend on the SoC configuration.</p>
<h1><a class="anchor" id="LLWUInWkMdl"></a>
Internal wakeup modules configurations</h1>
<p>Enables/disables the internal wakeup modules and gets the module flags. Internal modules are accessed by <code>moduleIndex</code>, which is started from 1. Numbers of external pins depend the on SoC configuration.</p>
<h1><a class="anchor" id="LLWUPinFlt"></a>
Digital pin filter for external wakeup pin configurations</h1>
<p>Configures the digital pin filter of the external wakeup pins' working modes, gets, and clears the pin filter flags. Digital pin filters are accessed by the <code>filterIndex</code>, which is started from 1. Numbers of external pins depend on the SoC configuration. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structllwu__external__pin__filter__mode__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#structllwu__external__pin__filter__mode__t">llwu_external_pin_filter_mode_t</a></td></tr>
<tr class="memdesc:structllwu__external__pin__filter__mode__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">An external input pin filter control structure.  <a href="group__llwu.html#structllwu__external__pin__filter__mode__t">More...</a><br/></td></tr>
<tr class="separator:structllwu__external__pin__filter__mode__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gaef7b7f596eb66ea9d825bfd7a05278ea"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gaef7b7f596eb66ea9d825bfd7a05278ea">llwu_external_pin_mode_t</a> { <br/>
&#160;&#160;<a class="el" href="group__llwu.html#ggaef7b7f596eb66ea9d825bfd7a05278eaa918f72033c61b0e9f5e83585ae76feea">kLLWU_ExternalPinDisable</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#ggaef7b7f596eb66ea9d825bfd7a05278eaa3d0358ae5f5e4e420efe998fce1c8b6c">kLLWU_ExternalPinRisingEdge</a> = 1U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#ggaef7b7f596eb66ea9d825bfd7a05278eaa2cc310ae58735aeaefe6f8822f2d4e0c">kLLWU_ExternalPinFallingEdge</a> = 2U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#ggaef7b7f596eb66ea9d825bfd7a05278eaa576c426077b7cc720ca746f5f1c27fa2">kLLWU_ExternalPinAnyEdge</a> = 3U
<br/>
 }</td></tr>
<tr class="memdesc:gaef7b7f596eb66ea9d825bfd7a05278ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">External input pin control modes.  <a href="group__llwu.html#gaef7b7f596eb66ea9d825bfd7a05278ea">More...</a><br/></td></tr>
<tr class="separator:gaef7b7f596eb66ea9d825bfd7a05278ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2719c17c108a42ecdf3e8d97d8312d8a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga2719c17c108a42ecdf3e8d97d8312d8a">llwu_pin_filter_mode_t</a> { <br/>
&#160;&#160;<a class="el" href="group__llwu.html#gga2719c17c108a42ecdf3e8d97d8312d8aab1efbba59f0416cdb5f11563cbc86f8d">kLLWU_PinFilterDisable</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#gga2719c17c108a42ecdf3e8d97d8312d8aa4247bc305c7b3b8c51c9fa54e6f3ab52">kLLWU_PinFilterRisingEdge</a> = 1U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#gga2719c17c108a42ecdf3e8d97d8312d8aaf429cb4dfc4343a66429baf2b8971279">kLLWU_PinFilterFallingEdge</a> = 2U, 
<br/>
&#160;&#160;<a class="el" href="group__llwu.html#gga2719c17c108a42ecdf3e8d97d8312d8aa9ae5329e7b3fad4d4cdc447ca64c9ad2">kLLWU_PinFilterAnyEdge</a> = 3U
<br/>
 }</td></tr>
<tr class="memdesc:ga2719c17c108a42ecdf3e8d97d8312d8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Digital filter control modes.  <a href="group__llwu.html#ga2719c17c108a42ecdf3e8d97d8312d8a">More...</a><br/></td></tr>
<tr class="separator:ga2719c17c108a42ecdf3e8d97d8312d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:ga89a3dc773d6a05997c01e407561830b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga89a3dc773d6a05997c01e407561830b9">FSL_LLWU_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 1))</td></tr>
<tr class="memdesc:ga89a3dc773d6a05997c01e407561830b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">LLWU driver version 2.0.1.  <a href="#ga89a3dc773d6a05997c01e407561830b9">More...</a><br/></td></tr>
<tr class="separator:ga89a3dc773d6a05997c01e407561830b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Low-Leakage Wakeup Unit Control APIs</h2></td></tr>
<tr class="memitem:gaa3499be8d7788f730045d268f20e55bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gaa3499be8d7788f730045d268f20e55bb">LLWU_SetExternalWakeupPinMode</a> (LLWU_Type *base, uint32_t pinIndex, <a class="el" href="group__llwu.html#gaef7b7f596eb66ea9d825bfd7a05278ea">llwu_external_pin_mode_t</a> pinMode)</td></tr>
<tr class="memdesc:gaa3499be8d7788f730045d268f20e55bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the external input pin source mode.  <a href="#gaa3499be8d7788f730045d268f20e55bb">More...</a><br/></td></tr>
<tr class="separator:gaa3499be8d7788f730045d268f20e55bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad24475fe9cd1fb51d70d8707ed5c9561"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gad24475fe9cd1fb51d70d8707ed5c9561">LLWU_GetExternalWakeupPinFlag</a> (LLWU_Type *base, uint32_t pinIndex)</td></tr>
<tr class="memdesc:gad24475fe9cd1fb51d70d8707ed5c9561"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the external wakeup source flag.  <a href="#gad24475fe9cd1fb51d70d8707ed5c9561">More...</a><br/></td></tr>
<tr class="separator:gad24475fe9cd1fb51d70d8707ed5c9561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90a0d24f09df77eceac528645d811d5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga90a0d24f09df77eceac528645d811d5a">LLWU_ClearExternalWakeupPinFlag</a> (LLWU_Type *base, uint32_t pinIndex)</td></tr>
<tr class="memdesc:ga90a0d24f09df77eceac528645d811d5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the external wakeup source flag.  <a href="#ga90a0d24f09df77eceac528645d811d5a">More...</a><br/></td></tr>
<tr class="separator:ga90a0d24f09df77eceac528645d811d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e934e328ead21bf907da2edfc52e06f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga4e934e328ead21bf907da2edfc52e06f">LLWU_EnableInternalModuleInterruptWakup</a> (LLWU_Type *base, uint32_t moduleIndex, bool enable)</td></tr>
<tr class="memdesc:ga4e934e328ead21bf907da2edfc52e06f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables/disables the internal module source.  <a href="#ga4e934e328ead21bf907da2edfc52e06f">More...</a><br/></td></tr>
<tr class="separator:ga4e934e328ead21bf907da2edfc52e06f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa3a685c91fb8509cabd69960d8eea38"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gaaa3a685c91fb8509cabd69960d8eea38">LLWU_GetInternalWakeupModuleFlag</a> (LLWU_Type *base, uint32_t moduleIndex)</td></tr>
<tr class="memdesc:gaaa3a685c91fb8509cabd69960d8eea38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the external wakeup source flag.  <a href="#gaaa3a685c91fb8509cabd69960d8eea38">More...</a><br/></td></tr>
<tr class="separator:gaaa3a685c91fb8509cabd69960d8eea38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48adaa572817991d6c848cad97c46612"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga48adaa572817991d6c848cad97c46612">LLWU_SetPinFilterMode</a> (LLWU_Type *base, uint32_t filterIndex, <a class="el" href="group__llwu.html#structllwu__external__pin__filter__mode__t">llwu_external_pin_filter_mode_t</a> filterMode)</td></tr>
<tr class="memdesc:ga48adaa572817991d6c848cad97c46612"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the pin filter configuration.  <a href="#ga48adaa572817991d6c848cad97c46612">More...</a><br/></td></tr>
<tr class="separator:ga48adaa572817991d6c848cad97c46612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefde3ddb90520e0bc93a9f263ae79917"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gaefde3ddb90520e0bc93a9f263ae79917">LLWU_GetPinFilterFlag</a> (LLWU_Type *base, uint32_t filterIndex)</td></tr>
<tr class="memdesc:gaefde3ddb90520e0bc93a9f263ae79917"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the pin filter configuration.  <a href="#gaefde3ddb90520e0bc93a9f263ae79917">More...</a><br/></td></tr>
<tr class="separator:gaefde3ddb90520e0bc93a9f263ae79917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf49f62df68c976ebc4920990bd9ffadd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#gaf49f62df68c976ebc4920990bd9ffadd">LLWU_ClearPinFilterFlag</a> (LLWU_Type *base, uint32_t filterIndex)</td></tr>
<tr class="memdesc:gaf49f62df68c976ebc4920990bd9ffadd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the pin filter configuration.  <a href="#gaf49f62df68c976ebc4920990bd9ffadd">More...</a><br/></td></tr>
<tr class="separator:gaf49f62df68c976ebc4920990bd9ffadd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga693b1bf2a5333855355eba20c315fb42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ga693b1bf2a5333855355eba20c315fb42">LLWU_SetResetPinMode</a> (LLWU_Type *base, bool pinEnable, bool enableInLowLeakageMode)</td></tr>
<tr class="memdesc:ga693b1bf2a5333855355eba20c315fb42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the reset pin mode.  <a href="#ga693b1bf2a5333855355eba20c315fb42">More...</a><br/></td></tr>
<tr class="separator:ga693b1bf2a5333855355eba20c315fb42"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structllwu__external__pin__filter__mode__t" id="structllwu__external__pin__filter__mode__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct llwu_external_pin_filter_mode_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a2c483f77d4acad5126df1087d85f351a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c483f77d4acad5126df1087d85f351a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#a2c483f77d4acad5126df1087d85f351a">pinIndex</a></td></tr>
<tr class="memdesc:a2c483f77d4acad5126df1087d85f351a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pin number. <br/></td></tr>
<tr class="separator:a2c483f77d4acad5126df1087d85f351a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae868719be6cdaa0a925f78f9085e6d7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae868719be6cdaa0a925f78f9085e6d7f"></a>
<a class="el" href="group__llwu.html#ga2719c17c108a42ecdf3e8d97d8312d8a">llwu_pin_filter_mode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__llwu.html#ae868719be6cdaa0a925f78f9085e6d7f">filterMode</a></td></tr>
<tr class="memdesc:ae868719be6cdaa0a925f78f9085e6d7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filter mode. <br/></td></tr>
<tr class="separator:ae868719be6cdaa0a925f78f9085e6d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ga89a3dc773d6a05997c01e407561830b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FSL_LLWU_DRIVER_VERSION&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gaef7b7f596eb66ea9d825bfd7a05278ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__llwu.html#gaef7b7f596eb66ea9d825bfd7a05278ea">llwu_external_pin_mode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaef7b7f596eb66ea9d825bfd7a05278eaa918f72033c61b0e9f5e83585ae76feea"></a>kLLWU_ExternalPinDisable</em>&nbsp;</td><td class="fielddoc">
<p>Pin disabled as a wakeup input. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaef7b7f596eb66ea9d825bfd7a05278eaa3d0358ae5f5e4e420efe998fce1c8b6c"></a>kLLWU_ExternalPinRisingEdge</em>&nbsp;</td><td class="fielddoc">
<p>Pin enabled with the rising edge detection. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaef7b7f596eb66ea9d825bfd7a05278eaa2cc310ae58735aeaefe6f8822f2d4e0c"></a>kLLWU_ExternalPinFallingEdge</em>&nbsp;</td><td class="fielddoc">
<p>Pin enabled with the falling edge detection. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaef7b7f596eb66ea9d825bfd7a05278eaa576c426077b7cc720ca746f5f1c27fa2"></a>kLLWU_ExternalPinAnyEdge</em>&nbsp;</td><td class="fielddoc">
<p>Pin enabled with any change detection. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga2719c17c108a42ecdf3e8d97d8312d8a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__llwu.html#ga2719c17c108a42ecdf3e8d97d8312d8a">llwu_pin_filter_mode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga2719c17c108a42ecdf3e8d97d8312d8aab1efbba59f0416cdb5f11563cbc86f8d"></a>kLLWU_PinFilterDisable</em>&nbsp;</td><td class="fielddoc">
<p>Filter disabled. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2719c17c108a42ecdf3e8d97d8312d8aa4247bc305c7b3b8c51c9fa54e6f3ab52"></a>kLLWU_PinFilterRisingEdge</em>&nbsp;</td><td class="fielddoc">
<p>Filter positive edge detection. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2719c17c108a42ecdf3e8d97d8312d8aaf429cb4dfc4343a66429baf2b8971279"></a>kLLWU_PinFilterFallingEdge</em>&nbsp;</td><td class="fielddoc">
<p>Filter negative edge detection. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2719c17c108a42ecdf3e8d97d8312d8aa9ae5329e7b3fad4d4cdc447ca64c9ad2"></a>kLLWU_PinFilterAnyEdge</em>&nbsp;</td><td class="fielddoc">
<p>Filter any edge detection. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaa3499be8d7788f730045d268f20e55bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LLWU_SetExternalWakeupPinMode </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>pinIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__llwu.html#gaef7b7f596eb66ea9d825bfd7a05278ea">llwu_external_pin_mode_t</a>&#160;</td>
          <td class="paramname"><em>pinMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets the external input pin source mode that is used as a wake up source.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">pinIndex</td><td>A pin index to be enabled as an external wakeup source starting from 1. </td></tr>
    <tr><td class="paramname">pinMode</td><td>A pin configuration mode defined in the llwu_external_pin_modes_t. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad24475fe9cd1fb51d70d8707ed5c9561"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LLWU_GetExternalWakeupPinFlag </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>pinIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks the external pin flag to detect whether the MCU is woken up by the specific pin.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">pinIndex</td><td>A pin index, which starts from 1. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the specific pin is a wakeup source. </dd></dl>

</div>
</div>
<a class="anchor" id="ga90a0d24f09df77eceac528645d811d5a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LLWU_ClearExternalWakeupPinFlag </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>pinIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function clears the external wakeup source flag for a specific pin.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">pinIndex</td><td>A pin index, which starts from 1. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga4e934e328ead21bf907da2edfc52e06f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LLWU_EnableInternalModuleInterruptWakup </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>moduleIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enable</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function enables/disables the internal module source mode that is used as a wake up source.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">moduleIndex</td><td>A module index to be enabled as an internal wakeup source starting from 1. </td></tr>
    <tr><td class="paramname">enable</td><td>An enable or a disable setting </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaaa3a685c91fb8509cabd69960d8eea38"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool LLWU_GetInternalWakeupModuleFlag </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>moduleIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function checks the external pin flag to detect whether the system is woken up by the specific pin.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">moduleIndex</td><td>A module index, which starts from 1. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the specific pin is a wake up source. </dd></dl>

</div>
</div>
<a class="anchor" id="ga48adaa572817991d6c848cad97c46612"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LLWU_SetPinFilterMode </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>filterIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__llwu.html#structllwu__external__pin__filter__mode__t">llwu_external_pin_filter_mode_t</a>&#160;</td>
          <td class="paramname"><em>filterMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets the pin filter configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">filterIndex</td><td>A pin filter index used to enable/disable the digital filter, starting from 1. </td></tr>
    <tr><td class="paramname">filterMode</td><td>A filter mode configuration </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaefde3ddb90520e0bc93a9f263ae79917"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LLWU_GetPinFilterFlag </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>filterIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function gets the pin filter flag.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">filterIndex</td><td>A pin filter index, which starts from 1. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the flag is a source of the existing low-leakage power mode. </dd></dl>

</div>
</div>
<a class="anchor" id="gaf49f62df68c976ebc4920990bd9ffadd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LLWU_ClearPinFilterFlag </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>filterIndex</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function clears the pin filter flag.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LLWU peripheral base address. </td></tr>
    <tr><td class="paramname">filterIndex</td><td>A pin filter index to clear the flag, starting from 1. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga693b1bf2a5333855355eba20c315fb42"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LLWU_SetResetPinMode </td>
          <td>(</td>
          <td class="paramtype">LLWU_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>pinEnable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enableInLowLeakageMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function determines how the reset pin is used as a low leakage mode exit source.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pinEnable</td><td>Enable reset the pin filter </td></tr>
    <tr><td class="paramname">pinFilterEnable</td><td>Specify whether the pin filter is enabled in Low-Leakage power mode. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
